Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::concat_view< Rngs > Struct Template Reference
Views

## Public Member Functions
| concat_view (Rngs... rngs)
constexpr auto | size ()
constexpr auto | size () const -> std::size_t
constexpr auto | size () const requires `(detail

## Member Function Documentation

## ◆ size()

template<typename... Rngs>

constexpr auto ranges::concat_view< Rngs >::size | ( |  | ) |
| constexpr

Precondition
  requires `(detail::concat_cardinality<Rngs...>::value < 0) && and_v<sized_range<Rngs>...>`

References ranges::tuple_foldl, and ranges::tuple_transform.